Create a payment

To receive funds from your customer, you must first create a payment.

Body Params
string
required
Defaults to USD

In this parameter, you must specify your preferred base currency (fiat or cryptocurrency) to create a payment. A three-lettered ISO-compliant currency name must be used.

double
required
Defaults to 200

This is the total amount you intend to collect from the customer via the payment.

string
required
Defaults to SATS

The cryptocurrency in which you want to receive payment from your customer. Please add a positive value. Values up to 32 digits can be handled by the amount parameter, which can have a decimal precision up to 16 digits.

payment_methods
array of strings
Defaults to lightning

This parameter specifies the payment method based on the selected target_currency. It is important to note that if the target_currency is SATS, the payment method must be on-chain or lightning. For USDT, the payment method must be either lightningethereumtron or solana and for USDC, the payment method must be lightning, ethereum or solana. When passing payment methods through the API, the default settings in the Speed web application will be overridden.

payment_methods
json
Defaults to { "key_1": "value_1", "key_2": "value_2" }

You can use this to store additional information about the object in a structured format. In this parameter, you can add up to 50 key-value pairs in a raw JSON format.

transfers
array of objects

Use this parameter to associate a transfer with payment.

transfers
Headers
string
enum
Defaults to 2022-10-15

In this parameter, you can specify the version you want. As of now, there are two versions (2022-04-15 and 2022-10-15). Version 2022-10-15 supports on-chain, lightning, Ethereum, Tron and Solana payment methods. Whereas the 2022-04-15 version only supports lightning payments.

Allowed:
Response

Language
Credentials
Basic
base64
:
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json

Questions? Contact us